Query Customers
Query all customers
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
Query Parameters
All Search Keywords for the customer, like the number and the most important fields from the billing address.
Search for a specific customer number.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
"b45f6432-2462-4c6f-b00f-1d9d01000000"
All customers where the last change happened after or equal the given time
All customers where the last change happened before or equal the given time
Number of the page of items to fetch.
Size of the page that is specified by pageNumber.
Response
Returns all customer, can be filtered by searchKeyWord or categoryId.
Represents a paginated list of items
Gets or sets the total number of items available in the data source.
Gets or sets the current page number in the paginated list.
Gets or sets the number of items per page in the paginated list.
Gets or sets the collection of items contained in the paged list.
Gets the total number of pages based on the total number of items and the page size.
Gets a value indicating whether there is a previous page available in the paginated list.
Gets a value indicating whether there is a next page available.
Gets the number of the next page if there is one; otherwise, returns the total number of pages.
Gets the number of the previous page. If there is no previous page, it returns 1.